csharp-and-dotnet

Which 's the exception

posted on 28 Sep 2006 19:10 by tidno1 in csharp-and-dotnet
class MyException : Appliction {}

class Program {
    MyException ex;

    void SomeMethod() {
        ...
        throw ex;
    }

    void Test() {
        try {
            SomeMethod();
        } catch (MyException) {
            Console.WriteLine("MyException was caught");
        }
    }
}

อะไรจะเกิดขึ้น ถ้าเราเรียก Test() ล่ะ คิดว่าข้อความ "MyException was caught" จะถูกพิมพ์ออกมาตลอดเหรอ ? ไม่หรอก อย่าลืมสิ ว่า Exception ก็เป็น reference type ดังนั้นถ้าตัวแปร ex ยังไม่ถูกกำหนดค่า แล้วเรามาเรียกใช้เนี่ย NullReferenceException ก็ถูกโยนออกมาแทน

เผอิญว่าวันนี้นั่งว่าง ๆ งานก็เลยเปิด C# Spec อ่านเล่น ๆแล้วเจอเรื่องนี้พอดีเลยอยากเอามาให้อ่านกันเล่น ๆ ไม่มีอะไรสำคัญนักหรอก

Continue....

posted on 25 Jul 2006 19:22 by tidno1 in csharp-and-dotnet

ต่อจากเมื่อกี๊

พึ่งเห็นว่ามันมีวิชาเพิ่มขึ้นมา(เพิ่มมานานแล้วล่ะ แต่พึ่งเห็น) ก็เลยเอาซะหน่อย

29 stars

ทำข้อสอบรวดเดียวแบบไม่อ่านเนื้อหาเลย โจทย์มันมั่วง่ายดีแฮะ

Completed

posted on 25 Jul 2006 17:52 by tidno1 in csharp-and-dotnet

หลังจากวันนู้น วันนั้น จนวันนี้...

25 stars